Skip to content
V2 (Legacy) API ReferenceGet started

List available webhook event types

GET/v3/webhook-events

Returns all available webhook event types that can be subscribed to. Use this endpoint to discover valid values for the subscribed_events field when creating or updating webhook subscriptions.

ReturnsExpand Collapse
doc_url: "https://apidocs.linqapp.com/documentation/webhook-events"

URL to the webhook events documentation

formaturi
events: array of WebhookEventType

List of all available webhook event types

One of the following:
"message.sent"
"message.received"
"message.read"
"message.delivered"
"message.failed"
"message.edited"
"reaction.added"
"reaction.removed"
"participant.added"
"participant.removed"
"chat.created"
"chat.group_name_updated"
"chat.group_icon_updated"
"chat.group_name_update_failed"
"chat.group_icon_update_failed"
"chat.typing_indicator.started"
"chat.typing_indicator.stopped"
"phone_number.status_updated"
"call.initiated"
"call.ringing"
"call.answered"
"call.ended"
"call.failed"
"call.declined"
"call.no_answer"

List available webhook event types

curl https://api.linqapp.com/api/partner/v3/webhook-events \
    -H "Authorization: Bearer $LINQ_API_V3_API_KEY"
{
  "events": [
    "message.sent",
    "message.received",
    "message.read",
    "message.delivered",
    "message.failed",
    "reaction.added",
    "reaction.removed",
    "participant.added",
    "participant.removed",
    "chat.created",
    "chat.group_name_updated",
    "chat.group_icon_updated",
    "chat.group_name_update_failed",
    "chat.group_icon_update_failed",
    "chat.typing_indicator.started",
    "chat.typing_indicator.stopped",
    "message.edited",
    "phone_number.status_updated"
  ],
  "doc_url": "https://apidocs.linqapp.com/documentation/webhook-events"
}
{
  "error": {
    "status": 401,
    "code": 2004,
    "message": "Unauthorized - missing or invalid authentication token"
  },
  "success": false
}
{
  "error": {
    "status": 500,
    "code": 3006,
    "message": "Internal server error"
  },
  "success": false
}
Returns Examples
{
  "events": [
    "message.sent",
    "message.received",
    "message.read",
    "message.delivered",
    "message.failed",
    "reaction.added",
    "reaction.removed",
    "participant.added",
    "participant.removed",
    "chat.created",
    "chat.group_name_updated",
    "chat.group_icon_updated",
    "chat.group_name_update_failed",
    "chat.group_icon_update_failed",
    "chat.typing_indicator.started",
    "chat.typing_indicator.stopped",
    "message.edited",
    "phone_number.status_updated"
  ],
  "doc_url": "https://apidocs.linqapp.com/documentation/webhook-events"
}
{
  "error": {
    "status": 401,
    "code": 2004,
    "message": "Unauthorized - missing or invalid authentication token"
  },
  "success": false
}
{
  "error": {
    "status": 500,
    "code": 3006,
    "message": "Internal server error"
  },
  "success": false
}